/**
 * Copyright 2007-2012 Bull S.A.S.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.ow2.util.maven.jbuilding.stubs;

import java.util.ArrayList;
import java.util.List;
import java.util.Properties;

import org.apache.maven.model.Dependency;
import org.apache.maven.plugin.testing.stubs.MavenProjectStub;

/**
 * The VersionsMavenProjectStub is ...
 *
 * @author Guillaume Sauthier
 */
public class VersionsMavenProjectStub extends MavenProjectStub {

    public VersionsMavenProjectStub() {
        super();

        // Init the model properties
        Properties props = this.getModel().getProperties();
        props.setProperty("included.version", "1.0.0");
        props.setProperty("not.included", "not included");
        props.setProperty("version", "not included");
        props.setProperty("test.version.excluded", "not included");
    }

    /**
     * @see org.apache.maven.project.MavenProject#getDependencies()
     */
    @Override
    public List getDependencies() {

        List<Dependency> dependencies = new ArrayList<Dependency>();

        Dependency dependency = new Dependency();
        dependency.setGroupId("org.apache.maven");
        dependency.setArtifactId("maven-core");
        dependency.setVersion("2.0");
        dependency.setType("jar");
        dependencies.add(dependency);

        return dependencies;
    }
}
